Docs

Webhooks

Every webhooks endpoint, with its scope, parameters, a request and a response.

GET /webhook-endpoints

List webhook endpoints (without secrets), newest first

Scope webhooks:read Returns 200

ParameterInTypeDescription
limit query string 1–100 (default 50)
cursor query string next_cursor from the previous page

Request

curl "https://app.shopbird.app/api/v1/webhook-endpoints" \
  -H "Authorization: Bearer sb_live_…"

Response 200

{
  "data": [
    {
      "id": "clx8k6e1f0008qs08d4a8b9c0",
      "url": "https://example.com/hooks/shopbird",
      "events": [
        "lock.created",
        "lock.updated"
      ],
      "enabled": true,
      "disabled_reason": null,
      "created_at": "2026-11-01T09:00:00.000Z"
    }
  ],
  "next_cursor": "MTc2MTk4NzYwMDAwMHxjbHg4azJ2MWEwMDAwcXMwOGgzZjJiOWRl"
}
GET /webhook-deliveries

List webhook deliveries, newest first

Scope webhooks:read Returns 200

ParameterInTypeDescription
endpoint_id query string Only this endpoint's deliveries
limit query string 1–100 (default 50)
cursor query string next_cursor from the previous page

Request

curl "https://app.shopbird.app/api/v1/webhook-deliveries" \
  -H "Authorization: Bearer sb_live_…"

Response 200

{
  "data": [
    {
      "id": "clx8k7f2a000aqs08e5b9c0d1",
      "endpoint_id": "clx8k6e1f0008qs08d4a8b9c0",
      "event_id": "clx8k8a3b000cqs08f6c0d1e2",
      "event_type": "lock.updated",
      "status": "pending",
      "attempt": 1,
      "response_code": 200,
      "error": null,
      "next_attempt_at": null,
      "delivered_at": "2026-11-01T09:00:00.000Z",
      "created_at": "2026-11-01T09:00:00.000Z"
    }
  ],
  "next_cursor": "MTc2MTk4NzYwMDAwMHxjbHg4azJ2MWEwMDAwcXMwOGgzZjJiOWRl"
}